Subject: bug#64271: closed (Re: bug#64271: libasr is unmaintained upstream)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 30 Jun 2023 17:18:03 +0000

Your bug report

#64271: libasr is unmaintained upstream

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64271: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64271
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64271: libasr is unmaintained upstream
From: Tobias Geerinckx-Rice <[email-masked]>
To: Omar Polo <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 30 Jun 2023 19:17:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Omar Polo 写道：
> I'm not a guix user so can't send patches, hope this is the 
> correct
> way to report issues however.

Yep.

> The upstream libasr-portable repository was archived, as the 
> project
> was unmaintained (and unmaintenable in some sense) for some 
> time:
>
> 	https://github.com/OpenSMTPD/libasr/
>
> OpenSMTPD (its only consumer I guess) doesn't depend on it 
> anymore, it
> should be built with the bundled version that was updated.

Removed libasr in commit 902a48e0d3ce4a1983a6d3f71472639a8e59c48f.

> P.S.: looking at the recipe for OpenSMTPD I noticed the comment
>       "reccomended, and supports e.g. ECDSA".  While it's true 
>       that
>       it's reccomended to build with LibreSSL, ec keys should 
>       work
>       just as fine with OpenSSL.  The only issue is the combo 
>       OpenSSL
>       3.x + LibreTLS 3.7.0 due to a known regression that will 
>       be
>       fixed in a upcoming release (I hope) since LibreSSL' tls 
>       did it:
>       https://github.com/libressl/openbsd/commit/318ad8e73e

OpenSMTPd temporarily(…) builds with openssl with commit 
023ff651462f70004c7a92b19fd072ee3138e5a2, so the comment is gone.

Thanks!

T G-R

Subject: libasr is unmaintained upstream
From: Omar Polo <[email-masked]>
To: [email-masked]
Date: Sat, 24 Jun 2023 17:26:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I'm not a guix user so can't send patches, hope this is the correct
way to report issues however.

The upstream libasr-portable repository was archived, as the project
was unmaintained (and unmaintenable in some sense) for some time:

	https://github.com/OpenSMTPD/libasr/

OpenSMTPD (its only consumer I guess) doesn't depend on it anymore, it
should be built with the bundled version that was updated.

The configure script still looks for `libasr' so that it continues to
build on OpenBSD, but on other systems it should use the bundled
libasr.  There's a configure flag --with-bundled-libasr to force the
usage of the bundled version.

Thanks,

Omar Polo

P.S.: looking at the recipe for OpenSMTPD I noticed the comment
      "reccomended, and supports e.g. ECDSA".  While it's true that
      it's reccomended to build with LibreSSL, ec keys should work
      just as fine with OpenSSL.  The only issue is the combo OpenSSL
      3.x + LibreTLS 3.7.0 due to a known regression that will be
      fixed in a upcoming release (I hope) since LibreSSL' tls did it:
      https://github.com/libressl/openbsd/commit/318ad8e73e